---
services:
  grafana:
    image: docker.io/grafana/grafana:${GRAFANA_TAG}
    ports:
      - "${GRAFANA_PORT}:3000"
    environment:
      GF_AUTH_ANONYMOUS_ENABLED: "true"
      GF_INSTALL_PLUGINS: grafana-polystat-panel,yesoreyeram-boomtable-panel
      GF_SECURITY_ADMIN_USER: ${GRAFANA_SECURITY_ADMIN_USER}
      GF_SECURITY_ADMIN_PASSWORD: ${GRAFANA_SECURITY_ADMIN_PASSWORD}
    links:
      - prometheus
    volumes:
      - ./default-dashboard-data.yml:/etc/grafana/provisioning/dashboards/default.yml
      - ./datasources.yml:/etc/grafana/provisioning/datasources/default.yml
      - ./custom-dashboards:/var/lib/grafana/dashboards

networks:
  default:
    driver: bridge
